package com.gree.mall.manager.bean.material.report;

import com.gree.mall.manager.plus.entity.WebsitSalesItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@EqualsAndHashCode(callSuper = true)
@ApiModel
@Data
public class MaterialSalesSumDetailBean extends WebsitSalesItem {
    @ApiModelProperty(value = "网点编号")
    private String websitId;
    @ApiModelProperty(value = "网点名称")
    private String websitName;
    @ApiModelProperty(value = "支付类型")
    private String payType;
    @ApiModelProperty(value = "支付状态")
    private String payFlag;
    @ApiModelProperty(value = "工程师手机号")
    private String workerMobile;
    @ApiModelProperty(value = "工程师编号")
    private String workerId;
    @ApiModelProperty(value = "工程师名称")
    private String workerName;
    @ApiModelProperty(value = "支付时间/提货时间")
    private Date payTime;
}
